<?php
// PRODUCTS - CUSTOM POSTS TYPE
function product_register() {
	$args = array(
		$labels = array(
			'name'					=> __('Products',themename),
			'singular_name'		=> __('Product',themename),
			'add_new'				=> __('Add New',themename),
			'add_new_item'			=> __('Add New Product',themename),
			'edit_item'				=> __('Edit Product',themename),
			'new_item'				=> __('New Product',themename),
			'view_item'				=> __('View Product',themename),
			'search_items'			=> __('Search Product',themename),
			'not_found'				=> __('No products found',themename),
			'not_found_in_trash'	=> __('No products found in Trash',themename), 
			'parent_item_colon'	=> ''
		),
		'labels' => $labels,
		'public'				=> true,
		'show_ui'			=> true,
		'capability_type'	=> 'post',
		'menu_position'	=> 5,
		'hierarchical'		=> false,
		'rewrite'			=> array('slug' => 'products'),
		'has_archive'		=> true,
		'supports'			=> array('title', 'editor', 'thumbnail')
	);
	register_post_type( 'product' , $args );
}
add_action('init', 'product_register');


// METABOXES
function admin_init(){
	add_meta_box('prodInfo-meta', 'Product Options', 'meta_options', 'product', 'side', 'low');
}
add_action('admin_init', 'admin_init');

function save_product(){
	global $post;
	$custom_meta_fields = 
		array(
			'tab',
			'i1',
			'i2',
			'i3',
			'i4',
			'i5',
			'i6',
			'i7'
		);
	foreach( $custom_meta_fields as $custom_meta_field ):
		if(isset($_POST[$custom_meta_field]) && $_POST[$custom_meta_field] != ""):
			update_post_meta($post->ID, $custom_meta_field, $_POST[$custom_meta_field]);
		endif;
	endforeach;
}
add_action('save_post', 'save_product');


// START META OPTIONS FUNCTION
function meta_options(){
	global $post;
	$custom = get_post_custom($post->ID);
	$tab = $custom['tab'][0];
	$i1 = $custom['i1'][0];
	$i2 = $custom['i2'][0];
	$i3 = $custom['i3'][0];
	$i4 = $custom['i4'][0];
	$i5 = $custom['i5'][0];
	$i6 = $custom['i6'][0];
	$i7 = $custom['i7'][0];


?>


<input name="tab" id="tab" class="none" value="<?php echo $tab; ?>" />
<div class="categorydiv" id="product-metas">
	<ul class="category-tabs" id="product-tabs" style="display:none;">
		<li id="tab-1"><a title="1" href="#"><?php _e('Photos',themename) ?></a></li>
		<li id="tab-2"><a title="2" href="#"><?php _e('Specs',themename) ?></a></li>
		<li id="tab-3"><a title="3" href="#"><?php _e('Price',themename) ?></a></li>
		<li id="tab-4"><a title="4" href="#"><?php _e('Button',themename) ?></a></li>
	</ul>

	<div style="display:none;" class="tabs-panel" id="product-tab-1">
		<ul class="categorychecklist">
			<li>



				<?php
				//
				//
				// I HAVE TRIED TO SAVE THIS INPUT FIELD WITH a#save LINK
				//
				// 
				?> 

				<input id="image-1-input" type="text" size="36" name="i1" value="<?php echo $i1; ?>" />
				<a class="thickbox button select-image" id="image-1" href="media-upload.php?post_id=<?php echo the_ID() ?>&amp;type=image&amp;TB_iframe=1&amp;width=640&amp;height=469"><?php _e('Select an image',themename) ?></a> 
				
				<a href="#" id="save">Save</a>




			</li>
		</ul>
	</div>

	<div style="display:none;" class="tabs-panel" id="product-tab-2">
		<ul class="categorychecklist">
			<li>
				2
			</li>
		</ul>
	</div>

	<div style="display:none;" class="tabs-panel" id="product-tab-3">
		<ul class="categorychecklist">
			<li>
				3
			</li>
		</ul>
	</div>

	<div style="display:none;" class="tabs-panel" id="product-tab-4">
		<ul class="categorychecklist">
			<li>
				4
			</li>
		</ul>
	</div>

</div><!-- end #product-metas -->





<script type='text/javascript'>
var j = jQuery.noConflict();

// PRODUCT META TABS
j('#product-tabs a').click(function() {
	j('#product-tabs li').removeClass('tabs');
	j(this).parent().addClass('tabs');

	pcurrent = j(this).attr('title');
	j('#product-metas .tabs-panel').hide();
	j('#product-tab-'+pcurrent).show();
	j('#tab').val(pcurrent);

	return false;
});

// UPLOAD IMAGE BUTTON + CURRENT TAB
j(document).ready(function() {
	j('.select-image').click(function() {
		id = j(this).attr('id');
		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
		return false;
	});
	window.send_to_editor = function(html) {
		imgurl = jQuery('img',html).attr('src');
		j('#'+id+'-input').val(imgurl);
		tb_remove();
		j('#'+id+'-thumb').attr('src','<?php echo get_bloginfo('template_url').'/timthumb.php?src='?>' + imgurl + '<?php echo '&h=auto&w=150&zc=1&q=90' ?>');
	}
	// Set the current tab
	tab = j('#tab').val();
	j('#tab-'+tab).addClass('tabs');
	j('#product-tabs, #product-tab-'+tab).show();
});

</script>


<style type="text/css" media="all">
.thumb-product {
	width:150px;
	height:150px;
	margin:0 10px 10px 0;
	padding:1px;
	display:table;
	border:1px solid #DFDFDF;
	position:relative;
	overflow:hidden;
}
.thumb-product > div {
	#position:absolute;
	#top:50%;
	display:table-cell;
	vertical-align:middle;
}
.thumb-product > div > div {
	#position:relative;
	#top:-50%;
}
.thumb-product:hover {
	background:#F5F5F5;
}
.thumb-product:hover .thumb-panel {
	display:block;
}
.thumb-product:hover .thumb-img {
	display:none;
}
.thumb-panel {
	width:150px;
	height:100%;
	text-align:center;
	z-index:1;
	position:relative;
	display:none;
}

</style>


<?php
} // END META OPTIONS FUNCTION

// CUSTOM CATEGORIES
register_taxonomy(
	"catalog",
	array("product"),
	array(
		"hierarchical"		=> true,
		"label"				=> "Catalogs",
		"singular_label"	=> "Catalog",
		"rewrite"			=> true
	)
);


// CUSTOM SET OF COLUMNS
add_filter("manage_edit-product_columns", "prod_edit_columns");
add_action("manage_posts_custom_column", "prod_custom_columns");
function prod_edit_columns($columns){
	$columns = array(
		"cb"				=> "<input type=\"checkbox\" />",
		"title"			=> __('Product Title',themename),
		"thumb"			=> __('Thumbnail',themename),
		"catalog"		=> __('Catalog',themename),
		"price"			=> __('Price',themename)
	);
	return $columns;
}
function prod_custom_columns($column){
	global $post;
	switch ($column)
	{
		case "catalog":
			echo get_the_term_list($post->ID, 'catalog', '', ', ','');
			break;
		case "price":
			$custom = get_post_custom();
			$theme_options = get_option('ikarina');
			if ($theme_options['currency_position']=='after') {
				$out = $custom['price'][0].'&nbsp;'.$theme_options['currency'];
			}
			else {
				$out = $theme_options['currency'].$custom['price'][0];
			}
			echo $out;
			break;
		case "thumb":
			echo get_the_post_thumbnail($thumbnail->ID, 'thumb-150');
			break;
	}
}










?>